<?php

namespace Drupal\weather\Form;

use Drupal\Core\Entity\ContentEntityConfirmFormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

/**
 * Provides a form for deleting a weather_display entity.
 *
 * @ingroup weather_display
 */
class WeatherDisplayDeleteForm extends ContentEntityConfirmFormBase {

  /**
   * {@inheritdoc}
   */
  public function getQuestion() {
    return $this->t('Are sure you want to remove this weather display?');
  }

  /**
   * {@inheritdoc}
   */
  public function getDescription() {
    return $this->t('Related block and display places will be removed as well. This action cannot be undone.');
  }

  /**
   * {@inheritdoc}
   */
  public function getCancelUrl() {
    return Url::fromRoute('weather.settings');
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->entity->delete();
    $this->messenger()->addStatus($this->t('Weather display was removed.'));
    $form_state->setRedirect('weather.settings');

    parent::submitForm($form, $form_state);
  }

}
